# Introducing Well-Rounded Balance (WRB)
Are you tired of repetitive runs or RoR2's unbalanced gameplay? WRB is a mod that rebalances almost the entire game, in a similar fashion to CU0-CU4, but with vast improvements. For a full list of changes, check out the WRB Google Doc.

Please note that the following mods are likely to be incompatible with WRB:
- RiskyMod
- EliteReworks
- ZetAspects
- FlatItemBuff
- Hex3Reworks
- SacrificeTweaks
- VanillaRebalance

You may be able to get them working by adjusting the config, but we will not provide special compatibility for them. The mod is currently balanced around vanilla, but we plan to add compatibility for item mods in the future.

If any of these changes seem suspicious, you likely don't have the context of what the mod does in other aspects. This is just an overview; it's better to play it first, then judge. We don't care about your negative feedback without actually trying the mod.

And of course, the mod is still in its early days, so it's bound to change. We also have a pretty expansive config that will feature more options as time goes on.

## List of Changes
https://docs.google.com/document/d/1uP1Bp4tBOMoKyhyjuvXk5IHuuV373sa77NsX-l_vUUA/

## Scaling Reworks
Scaling is now linear but more aggressive, meaning it will be faster in the early game and cool off slightly during loops. This is intended to encourage players to play efficiently and make the game more engaging. The difficulty now actually scales with time, and the director spawns more enemies at a much faster pace. Gold scaling has also been heavily reworked, so you can't just kill a few enemies and buy out the whole stage. Pre-spawned enemies now give gold as well.

## Major Item Reworks
There are too many to list here, so please check the Google Doc for more information. Here are some examples:
| Icon | Name | Description |
|---|---|---|
| <img src="https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/c/c4/Hunter%27s_Harpoon.png/revision/latest?cb=20220302043224" width="24"/> | Hunter's Harpoon | Killing an enemy increases movement speed by 16%, up to 3 (+2 per stack) times for 5 seconds. |
| <img src="https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/f/ff/Pocket_I.C.B.M..png/revision/latest?cb=20220302043224" width="24"/> | Pocket I.C.B.M. | All missile items and equipment fire an additional missile. Gain a 10% (+10% per stack) chance to fire a missile that deals 150% TOTAL damage. |
| <img src="https://static.wikia.nocookie.net/riskofrain2_gamepedia_en/images/9/91/Symbiotic_Scorpion.png/revision/latest?cb=20220302052918" width="24"/> | Symbiotic Scorpion | Inflict venom on hit, dealing 750% (+200% per stack) base damage over 5s and stealing 20 (+10 per stack) armor for 5s. |

## Bazaar Reworks
There are now four lunar pods where the items were previously, along with a table containing two random Heresy items that no longer appear in the normal lunar pool. The slab (lunar reroller) has been removed, as it no longer serves a purpose.

## Elite Reworks
Elites now only have increased health (4x for T1 and 6x for T2) and much more pronounced, unique, and interesting effects. They no longer have increased damage. Check the WRB Google Doc for more information.

## Interactable Reworks
- Lunar pods now drop a lunar potential with a choice between 2 non-Heresy items when opened.
- Void cradles no longer deal 50% of your max health in damage, but instead give you a choice between **3** void items if you have a **corruptible item**, and give curse worth 10% of your maximum health for the rest of the stage. They also explode after activating the teleporter.
- Scrappers have been made rarer and much more limited, but printers are now more common and consistent.
- Scavenger bags now drop fewer items.
- Category chests no longer have increased prices, and interactables as a whole have been made more limited to prevent getting "roosted".

## Mechanic Reworks
There are too many to list here, so please check the Google Doc for more information. Here are some examples:
| Name | Description |
|---|---|
| Boss Enrage | Bosses now gain up to +30% movement speed, +25% attack speed and cooldown reduction linearly the lower their health is. |
| Forced Boss Variety | The same Teleporter Boss can't appear twice in a row. |
| Commencement Speed Boost | At the beginning of Commencement, every player gains an 85% movement speed boost for 45s, just enough to get to the ship barrier. |
| Faster Holdout Zones | All Holdout Zones are 60% faster. |
| Optional Pillars | Commencement Pillars are now completely optional, you can complete them for a reward or go straight to Mithrix without hassle. |
| Pillar Rewards | Commencement Pillars now reward a Lunar Potential that contains a random Green item, a random Pearl and a random Lunar item to pick from. |
| Primordial Teleporter | The Primordial Teleporter will now spawn every stage upon looping, allowing you to take on Final Bosses at any point of the run during loops. |

## Smaller Features
The mod integrates some smaller mods to give players the intended, better experience, such as:
- AugmentedVoidReaver
- BetterMeteorite
- BetterSpite
- ExchangeChanges
- FathomlessVoidling
- FixKjaroRunald
- Fix Playercount
- GoldChestForAll
- LunarConstruct
- LunarWispFalloff
- PingOrdering
- ShurikenFix
- SnappierStalks
- VanillaVoid

This means you don't need to have these installed with Well Rounded Balance enabled.

## Contact/Feedback
Join our Discord server! Whether you want to make suggestions, report bugs, or simply find a group of people to chill with, we welcome you to join us.
https://cutt.ly/ballscord

## Credits
The dev team consists of:
- HIFU (items, item reworks, equipment, enemy changes, eclipse rework, scaling changes, artifact changes, mechanical changes, config, bugfixing)
- pseudopulse (elite reworks, interactable reworks, mechanical changes, bugfixing)
- prodzpod (config, code improvements, bugfixing)

Thanks to our discord server members for responding to polls and providing feedback and ideas <3.

Thanks to Moffein for the code/idea for:
- Delicate Watch
- Power Elixir
- Happiest Mask
- Charged Peripherator
- Molten Peripherator
- Gesture of the Drowned
- Eclipse 3
- Lunar Wisp Falloff
- Forced Boss Variety
- Void Fields

Thanks to Skell for the code for:
- Death Mark

Thanks to BORBO for the code/idea for:
- Infusion
- Runald's Band
- Planula

And of course thanks to every mod developer that made the mods we integrated.